<?php
//共通
require_once '../../base/common.php';
require_once '../../util/combo.php';

$logger = new logger(basename(__FILE__));
$logger->info("===af265x_index_start===");
$logger->info('post', $_POST);

$assign_var["noeventClassHeader"] = "";
//$assign_var["noeventClassBody"]   = "noevent";
$assign_var["noeventClassBody"]   = "";

$header = Array(
);

$valutil = new getValueUtil();

$header["sdday"] = $_SESSION[$GLOBALS['SYSTEM_NAME_EN']]["SDDAY"];

try {
    // SQL実行


    //画面右側入金区分
    $listTcls = array(
      0 => array("cd" => "91", "nm" => "現金"),
      1 => array("cd" => "92", "nm" => "手形"),
      2 => array("cd" => "93", "nm" => "相殺"),
      3 => array("cd" => "94", "nm" => "消費税"),
      4 => array("cd" => "95", "nm" => "小切手"),
      5 => array("cd" => "96", "nm" => "振込"),
      6 => array("cd" => "99", "nm" => "消費税調整"),
    );
    $assign_var["listTcls"] = $listTcls; //画面表示用
    $assign_var["chklisttcls"] = json_encode($listTcls); //jsで値チェックに使う用

    //画面右側備考区分
    $sql = file_get_contents("./sql/getTcls2.sql");
    $retTcls2 = $dbutil->select($sql);
    $assign_var["listTcls2"] = $retTcls2; //画面表示用
    $assign_var["chklisttcls2"] = json_encode($retTcls2); //jsで値チェックに使う用


  } catch(userException $ue) {
    $assign_var["hasError"] = true;
    $assign_var["errorMsg"] = $ue->getMessage();
  } catch(Exception $e) {
    $assign_var["hasError"] = true;
    $assign_var["errorMsg"] = $e->getMessage();
  }

$assign_var["header"] = $header;
$logger->info("header", $header);

//コンボボックス作成
$listutil = null;
$listutil = new getListUtil();

//POPUP
$assign_var["hasPopCucd"] = "1";
$assign_var["hasPopCuscd"] = "1";
$assign_var["hasPopAf265x1"] = "1";

// 初期表示
$dataList = Array(
);
$obj = [];
array_push($dataList, $obj);

$logger->info("dataList", $dataList);
$assign_var["dataList"] = $dataList;

//Smartyへアサイン
$logger->info("assign_var",$assign_var);
$smarty->assign($assign_var);
$smarty->display("index");

$logger->info("=== af265x_index_end ===");
?>
